Sites

Menu

Tools installation guide for macOS

Installing the SpatialOS tools is a prerequisite for using the Worker SDK and the GDK for Unity. The installer gives you the CLI and the Launcher (you get access to the Console when you sign up to SpatialOS).

1. System requirements

We support up-to-date versions of macOS Sierra, El Capitan, High Sierra and Mojave. MacOS Catalina is officially unsupported for SpatialOS development.

Before following the installation guide check that your machine meets the hardware requirements.

If you’re using a corporate network with a strict firewall, raise a support request (for customers with a service agreement) or ask on our forums and we’ll take you through some custom setup steps.

2. Install SpatialOS

Download the installer and follow the steps.

This installs:

  • the SpatialOS CLI
  • the SpatialOS Launcher

If you don’t want to set up SpatialOS using the installer, see the alternative installation steps for macOS.

Next steps

Follow the language-specific Worker SDK setup guide in C++, C#, Java, or C.

Search results

Was this page helpful?

Thanks for letting us know!

Thanks for your feedback

Need more help? Ask on the forums